Page MenuHomePhabricator

[analyzer] Refactor trackExpressionValue to accept TrackingOptions
ClosedPublic

Authored by vsavchenko on Jun 3 2021, 10:40 AM.

Diff Detail

Event Timeline

vsavchenko created this revision.Jun 3 2021, 10:40 AM
vsavchenko requested review of this revision.Jun 3 2021, 10:40 AM
Herald added a project: Restricted Project. · View Herald TranscriptJun 3 2021, 10:40 AM
Herald added a subscriber: cfe-commits. · View Herald Transcript
NoQ accepted this revision.Jun 9 2021, 9:59 PM
NoQ added inline comments.
clang/lib/StaticAnalyzer/Checkers/MIGChecker.cpp
288

I think false deserves a /*comment=*/.

This revision is now accepted and ready to land.Jun 9 2021, 9:59 PM
vsavchenko marked an inline comment as done.Jun 10 2021, 3:35 AM

Oof, I also screwed up rebasing this commit as well.

Remove unintnentionally merged changes from the next commit

This revision was landed with ongoing or failed builds.Jun 11 2021, 2:52 AM
This revision was automatically updated to reflect the committed changes.